GNU Radio 2.x: microtune_xxxx_eval_board class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# microtune_xxxx_eval_board Class Reference

`#include <microtune_xxxx_eval_board.h>`

Inheritance diagram for microtune_xxxx_eval_board:

[legend]
Collaboration diagram for microtune_xxxx_eval_board:

[legend]
List of all members.

## Detailed Description

abstract class for controlling microtune xxxx eval board

## Public Member Functions
| microtune_xxxx_eval_board (int which_pp=0)
virtual | ~microtune_xxxx_eval_board ()
bool | board_present_p ()
| is the eval board present?
void | set_RF_AGC_voltage (float volts)
| set RF and IF AGC control voltages ([0, 5] volts)
void | set_IF_AGC_voltage (float volts)
virtual void | set_AGC (float value_0_1000)=0
| set RF and IF AGC levels together (scale [0, 1000])
bool | set_RF_freq (double freq, double *actual_freq)
| select RF frequency to be tuned to output frequency. `freq` is the requested frequency in Hz, `actual_freq` is set to the actual frequency tuned. It takes about 100 ms for the PLL to settle.
double | set_RF_freq (double freq)
bool | pll_locked_p ()
double | get_output_freq ()
## Protected Attributes
ppio_sptr | d_ppio
i2c_sptr | d_i2c
microtune_xxxx * | d_tuner

## Constructor & Destructor Documentation

microtune_xxxx_eval_board::microtune_xxxx_eval_board | ( | int | which_pp = 0 | ) |

microtune_xxxx_eval_board::~microtune_xxxx_eval_board | ( |  | ) | `[virtual]`

## Member Function Documentation

bool microtune_xxxx_eval_board::board_present_p | ( |  | ) |

| is the eval board present?

double microtune_xxxx_eval_board::get_output_freq | ( |  | ) |

| Returns: the output frequency (IF center freq) of the tuner in Hz.

bool microtune_xxxx_eval_board::pll_locked_p | ( |  | ) |

| Returns: true iff PLL is locked

virtual void microtune_xxxx_eval_board::set_AGC | ( | float | value_0_1000 | ) | `[pure virtual]`

| set RF and IF AGC levels together (scale [0, 1000]) This provides a simple linear interface for adjusting both the RF and IF gain in consort. This is the easy to use interface. 0 corresponds to minimum gain. 1000 corresponds to maximum gain. Implemented in microtune_4702_eval_board, and microtune_4937_eval_board.

void microtune_xxxx_eval_board::set_IF_AGC_voltage | ( | float | volts | ) |

void microtune_xxxx_eval_board::set_RF_AGC_voltage | ( | float | volts | ) |

| set RF and IF AGC control voltages ([0, 5] volts)

double microtune_xxxx_eval_board::set_RF_freq | ( | double | freq | ) |

bool microtune_xxxx_eval_board::set_RF_freq | ( | double | freq,
|  | double * | actual_freq
| ) |

| select RF frequency to be tuned to output frequency. `freq` is the requested frequency in Hz, `actual_freq` is set to the actual frequency tuned. It takes about 100 ms for the PLL to settle. Returns: true iff sucessful.

## Member Data Documentation

i2c_sptr microtune_xxxx_eval_board::d_i2c`[protected]`

ppio_sptr microtune_xxxx_eval_board::d_ppio`[protected]`

microtune_xxxx* microtune_xxxx_eval_board::d_tuner`[protected]`

The documentation for this class was generated from the following files:

- microtune_xxxx_eval_board.h
- microtune_xxxx_eval_board.cc